#include <iostream>


using namespace std;

int main()
{
	long long v;
	cin >> v;

	long long i = 0, br = 1;
	long long niz[1000];

	//nalazi poslednju novcanicu

	while (true) {
		if (v < 1 * br) break;
		else {
			niz[i] = 1  * br;
			i++;
		}

		if (v < 2 * br) break;
		else {
			niz[i] = 2 * br;
			i++;
		}

		if (v < 5 * br) break;
		else {
			niz[i] = 5 * br;
			i++;
		}
		br *= 10;
	}

	
	int brojac = 0;
	
	for (int j = i - 1; j >= 0; j--)
	{
		brojac += v / niz[j];
		v = v % niz[j];
	}
	cout << brojac;

}